import type { ExtractPropTypes } from 'vue';
import type { RadioChangeEvent } from '../radio/interface';
export declare const checkboxProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean>;
    checked: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    isGroup: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeValidableDef<any>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    indeterminate: import("vue-types").VueTypeValidableDef<boolean>;
    type: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:checked': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    skipGroup: import("vue-types").VueTypeValidableDef<boolean>;
};
export declare type CheckboxProps = Partial<ExtractPropTypes<ReturnType<typeof checkboxProps>>>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean>;
    checked: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    isGroup: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeValidableDef<any>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    indeterminate: import("vue-types").VueTypeValidableDef<boolean>;
    type: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:checked': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    skipGroup: import("vue-types").VueTypeValidableDef<boolean>;
}, {
    formItemContext: import("../form/FormItemContext").FormItemContext;
    configProvider: any;
    checkboxGroupContext: any;
}, unknown, {}, {
    handleChange(event: RadioChangeEvent): void;
    focus(): void;
    blur(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:checked")[], "change" | "update:checked", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    defaultChecked?: unknown;
    checked?: unknown;
    disabled?: unknown;
    isGroup?: unknown;
    value?: unknown;
    name?: unknown;
    id?: unknown;
    indeterminate?: unknown;
    type?: unknown;
    autofocus?: unknown;
    onChange?: unknown;
    'onUpdate:checked'?: unknown;
    skipGroup?: unknown;
} & {
    type: string;
    id: string;
    name: string;
    prefixCls: string;
} & {
    disabled?: boolean;
    value?: any;
    onChange?: (...args: any[]) => any;
    autofocus?: boolean;
    defaultChecked?: boolean;
    checked?: boolean;
    isGroup?: boolean;
    indeterminate?: boolean;
    "onUpdate:checked"?: (...args: any[]) => any;
    skipGroup?: boolean;
}> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:checked"?: (...args: any[]) => any;
}, {
    type: string;
    id: string;
    name: string;
    onChange: (...args: any[]) => any;
    prefixCls: string;
    "onUpdate:checked": (...args: any[]) => any;
}>;
export default _default;
